const router = require('./router');
const { oauth2, client, setting } = require('zoom-bot-sdk');

//see https://www.npmjs.com/package/zoom-bot-sdk for detail

let oauth2Client = oauth2(
  process.env.zoomClientId,
  process.env.zoomClientSecret,
  process.env.zoomRedirect_uri
);

// oauth2Client.on('tokens', function (tokens) {

// });

let zoomBot = client(
  process.env.zoomClientId,
  process.env.zoomVerifyCode,
  process.env.zoomBotJid,
  process.env.app
)
  .commands([{ command: 'test', description: 'test', hint: '<test>' }])
  .defaultAuth(oauth2Client.connect());



// zoomBot.on('actions',async function(e){
//   let { payload, type, info, action } = e;
// });


zoomBot.on('commands', async function(e) {
  let userApp = zoomBot.create({ auth: oauth2Client.connect() });
  let { payload, data, type, command, message } = e;
  let { toJid: to_jid, accountId: account_id } = payload;
  if (command === 'test') {
    try {
      await userApp.sendMessage({
        to_jid,
        account_id,
        body: { type: 'message', text: 'test' },
        header: { text: 'test', style: { bold: true } }
      });
    } catch (e) {
      console.log(e);
    }
  }
});

router.post('/webhook', async function(req, res) {
  let { body, headers } = req;
  //let info = zoomBot.parse({ body, headers });
  try {
    await zoomBot.handle({ body, headers });
  } catch (e) {
    console.log(e);
  }
  res.send('');
});

router.get('/oauth2', async function(req, res) {
  //
  res.send(`hello,this is process.env.app`);
});
