const themes=require('./themes');
const nodepath=require('path');

let config = {};

try {
  config = require('../serverless.local.json');
} catch (e) {
  config = {};
}

let {static:staticConfig}=config;

let port =
  (typeof staticConfig === 'object' && (!isNaN(+staticConfig.port)))
    ? staticConfig.port
    : 3003;
port=+port;


module.exports = {
  port,
  entryIndex:'./src/main.js',
  buildDir:'../staticBuild',
  appHtml:'./src/index.html',
  hot:true,
  buildAssetsDir:'assets',
  // buildAssetsDir:process.env.NODE_ENV==='production'?'https://s3...':'assets',
  theme: 'antd',
  themeVariables: themes,
  https: false,
  pageEnv:{
    app:process.env.npm_package_name,
    port
  },
  webpack:{
    alias(){
      return {
        '@components':nodepath.resolve('./src/app/components'),
        '@utils':nodepath.resolve('./src/app/utils')
      };
    }
  }
  // pageEnv:{
    
  // },
};

