import React from 'react';
import './home.scss';
import { Button,message} from 'antd';
import BotConnect from '@components/BotConnect';
import utils from '@utils';
import logo from '../assets/images/ZoomLogo.png';
import rcClass from 'rc-class';

let cn=rcClass('article');


class Home extends React.Component {
  constructor(props) {
    super(props);
  }
  testPageRequest=()=>{
    utils.request(`/${process.env.app}/testPageRequest`)
    .then((da)=>{
      if(typeof da==='object'){da=JSON.stringify(da);}
      message.success(da);
    })
    .catch((error)=>{
      if(typeof error==='object'){error=JSON.stringify(error);}
      message.error(error);
    });
  }
  render() {
    return (
      <div {...cn()}>
        <div {...cn('header')}>
          <div {...cn('header-content')}>
            <a href='https://zoom.us/' title='go to zoom site'>
              <img
                {...cn(null,'zoom-logo')}
                alt='zoom'
                src={logo}
              />
            </a>
          </div>
        </div>
        <div {...cn('content')}>
        <BotConnect
          title="Connect Demo Page"
          subtitle="this is a page demo,welcome to connect to demo,please write your bot frontend page to fit your bot,thanks."
          fromIcon={{
              alt:'first app',
              src:
                'https://d24cgw3uvb9a9h.cloudfront.net/static/93516/image/oauth2/zoom.png'
            }}
          toIcon={{
              alt:'second app',
              src:
                'https://wac-cdn.atlassian.com/dam/jcr:826c97dc-1f5c-4955-bfcc-ea17d6b0c095/jira%20software-icon-gradient-blue.svg?cdnVersion=324'
            }}
          status="normal"
          />
        </div>
        <div style={{textAlign:'center',marginTop:'50px'}}>
          <Button id='btn' onClick={this.testPageRequest}>test request</Button>
        </div>
      </div>
    );
  }
}

export default Home;
